package net.sourceforge.wurfl.core.request.normalizer.specific;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author: Fantayeneh Asres Gizaw
 */
public class LGUPLUSNormalizer implements UserAgentNormalizer{

    private static final Pattern LGUPLUS_PATTERN = Pattern.compile("Mozilla.*lgtelecom;.*;(.*);.*");

    public String normalize(String userAgent) {
        Matcher matcher = LGUPLUS_PATTERN.matcher(userAgent);
        return matcher.matches() ? matcher.group(1) : userAgent;
    }
}
