/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.resource;

 /**
  * This is the {@link WURFLModel} observer.
  * 
  * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
  * @version $Id: WURFLModelListener.java 429 2010-05-06 11:38:31Z filippo.deluca $
  */
public interface WURFLModelListener {

	/** 
	 * Fired when a model modify it's internal state: a device is added or removed to model.
	 * 
	 * @param event The event fired by model.
	 */
	void modelChange(WURFLModelEvent event);

}
