/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2010 WURFL-Pro srl
 */

package net.sourceforge.wurfl.core.request.normalizer.specific;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 */
public class LGNormalizer implements UserAgentNormalizer {

    /**
     * @param userAgent
     * @return String
     */
    public String normalize(String userAgent) {
        int lgIndex = userAgent.indexOf("LG");
        if (lgIndex > 0) {
            return userAgent.substring(lgIndex);
        }
        return userAgent;
    }

}
